#==============================================================================
# package      DE_EPAGES::GoogleAdWords::API::Constants
# state        public
# description  Constants of cartridge GoogleAdWords
#==============================================================================
package DE_EPAGES::GoogleAdWords::API::Constants;
use base Exporter;

use strict;
our @EXPORT_OK = qw (
    GOOGLE_AD_WORDS_APP_SCOPES
    GOOGLE_AD_WORDS_SCRIPT_URL_QUERY
);

#========================================================================================
# global       GOOGLE_AD_WORDS_APP_SCOPES | app scopes for the Google AdWords app
#                   | ref.array.string
#========================================================================================
use constant GOOGLE_AD_WORDS_APP_SCOPES => ['scripttags_read', 'scripttags_write'];

#========================================================================================
# global       GOOGLE_AD_WORDS_SCRIPT_URL_QUERY | URL query for the Google AdWords
#                   script | string
#========================================================================================
use constant GOOGLE_AD_WORDS_SCRIPT_URL_QUERY => '?ViewAction=UnitySF-ViewGoogleAdWordsScript';

1;