package DE_EPAGES::Newsletter::DAL::SQL::Newsletter;
use strict;

use DE_EPAGES::Core::API::PerlTools qw ( GetCurrentDateTime );


sub DeleteUncomfirmedNewsletterAddressee {
    my $self = shift;
    my ($dbi, $Days) = @_;

    my $Unconfirmed = 2;
    my $DateTime = GetCurrentDateTime();
    $dbi->do( 'DELETE FROM newsletteraddressee WHERE unsubscribed=? AND creationdate <= ? - INTERVAL ? DAY;', [$Unconfirmed, $DateTime, $Days], ['Integer', 'DateTime', 'Integer']  );
    return;
}

sub GetIDsForUncomfirmedNewsletterAddressee {
    my $self = shift;
    my ($dbi, $Days) = @_;

    my $Unconfirmed = 2;
    my $DateTime = GetCurrentDateTime();
    return $dbi->execute( 'SELECT newsletteraddresseeid FROM newsletteraddressee WHERE unsubscribed=? AND creationdate <= ? - INTERVAL ? DAY;', [$Unconfirmed, $DateTime, $Days], ['Integer', 'DateTime', 'Integer']  );
}

1;
